跳转到主要内容
POST
/
augment
/
scrape
/api/v1/augment/scrape
curl --request POST \
  --url https://api.venice.ai/api/v1/augment/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://example.com"
}
'
{
  "url": "https://example.com",
  "content": "<string>",
  "format": "markdown"
}
这是一个实验性 API。请求和响应格式可能会在不另行通知的情况下变更。
url 字段中发送可公开访问的 URL。该 API 将以 markdown 形式返回页面内容。 抓取器会先尝试目标站点原生的 markdown 支持(通过 Cloudflare Markdown for Agents),随后回退到无头浏览器提取。某些屏蔽自动访问的站点(例如 X/Twitter、Reddit)会立即返回 400 错误。 定价: 每次请求 $0.01。

示例(cURL)

curl -X POST https://api.venice.ai/api/v1/augment/scrape \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://example.com"}'

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
url
string<uri>
必填

The URL to scrape

示例:

"https://example.com"

响应

Successfully scraped the URL

url
string
必填

The URL that was scraped

示例:

"https://example.com"

content
string
必填

The scraped content in markdown format

format
enum<string>
必填

The format of the scraped content

可用选项:
markdown